#pragma once

#include "BKOscScr.h"

// COscillatorlView

class COscillatorlView : public CDockablePane
{
		DECLARE_DYNAMIC(COscillatorlView)

	protected:
		int			m_nRenderType;
		CBKOscScr *m_pBKOSC;
		void DeleteOSC();
		int CreateOSC();

	public:
		COscillatorlView();
		void AdjustLayout();
		virtual ~COscillatorlView();

		void SetBuffer(BYTE *pBuffer, int buffer_len)
		{
			m_pBKOSC->SetBuffer(pBuffer, buffer_len);
		}
		bool ReCreateOSC();
		void Display();

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnPaint();
		afx_msg BOOL OnEraseBkgnd(CDC *pDC);
		afx_msg void OnDestroy();
		DECLARE_MESSAGE_MAP()
};


